Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1272998 - register-ds-admin.pl changes admin certificate database file rights.
Summary: register-ds-admin.pl changes admin certificate database file rights.
Keywords:
Status: CLOSED DUPLICATE of bug 1260445
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: Admin
Version: 9.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-19 11:47 UTC by German Parente
Modified: 2020-09-13 21:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-10 01:16:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1645 0 None None None 2020-09-13 21:34:19 UTC

Description German Parente 2015-10-19 11:47:40 UTC
Description of problem:

register-ds-admin.pl changes admin certificate database file rights.

Version-Release number of selected component (if applicable): 389-admin-1.1.42-1.el6dsrv

Steps to Reproduce:
1. setup-ds-admin.pl using custom directory server user (I have not checked with nobody).

2. check certificate databasse file rights:

[root@dhcp-10-12-211-158 ~]# ls -ltr /etc/dirsrv/admin-serv/*.db
-rw-------. 1 dirsrv root 65536 Oct 19 05:30 /etc/dirsrv/admin-serv/cert8.db
-rw-------. 1 dirsrv root 16384 Oct 19 05:30 /etc/dirsrv/admin-serv/key3.db
-rw-------. 1 dirsrv root 16384 Oct 19 05:30 /etc/dirsrv/admin-serv/secmod.db
[root@dhcp-10-12-211-158 ~]# 

3. setup-ds.pl to install a second server

4. register-ds-admin.pl to register the second server 

5. check file rights:

[root@dhcp-10-12-211-158 ~]# ls -ltr /etc/dirsrv/admin-serv/*.db
-rw-r--r--. 1 root root 65536 Oct 19 07:35 /etc/dirsrv/admin-serv/cert8.db
-rw-r--r--. 1 root root 16384 Oct 19 07:35 /etc/dirsrv/admin-serv/key3.db
-rw-r--r--. 1 root root 16384 Oct 19 07:35 /etc/dirsrv/admin-serv/secmod.db
[root@dhcp-10-12-211-158 ~]# 

Actual results:

rights of admin certificate database are changed.

Additional info:

workaround: change the rights manually.

Comment 1 Noriko Hosoi 2015-10-19 18:46:05 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/48314


Note You need to log in before you can comment on or make changes to this bug.